Converts the map to an array

- « Ds\Map::sum

- Ds\Map::union »

- PHP Manual
- Ds\Map
- Converts the map to an array

# Ds\Map::toArray

(PECL ds >= 1.0.0)

Ds\Map::toArray — Converts the map to an array

### Description

public Ds\Map::toArray(): array

Converts the map to an array.

Caution

Maps where non-scalar keys are can't be converted to an array.

Caution

An array will treat all numeric keys as integers, eg. `"1"` and `1` as keys in the map will only result in `1` being included in the array.

> Note:

> Casting to an array is not supported yet.

### Parameters

This function has no parameters.

### Return Values

An array containing all the values in the same order as the map.

### Examples

Example #1 Ds\Map::toArray() example

    <?php
    $map = new \Ds\Map([
        "a" => 1,
        "b" => 2,
        "c" => 3,
    ]);

    var_dump($map->toArray());
    ?>

The above example will output something similar to:

    array(3) {
      ["a"]=>
      int(1)
      ["b"]=>
      int(2)
      ["c"]=>
      int(3)
    }